import java.util.ArrayList;
import java.util.Calendar;


/**
 * Lab #3
 * CS 2334, Section 0??
 * February 4, 2015
 * <P>
 * This class provides a very simple model for a character.
 * A Character is a person with a list of personality traits.
 * </P>
 * @author Leave Blank
 * @version 1.0
 */
public class Character {
		
	/** The first (personal) name of the character. */
	private String firstName;
	
	/** The last (family) name of the character. */
	private String lastName;
	
	/** The personality traits of the character. */
	private ArrayList traits;
	
	/**
	 * This is the default constructor for the class.
	 */   
	public Character() {
		firstName = "";
		lastName = "";
		traits = null;
	}

	/**
	 * This is a constructor for the class. 
	 * It instantiates the class with user-supplied values.
	 * This version of the constructor is used when only one trait is provided.
	 * <P>
	 * @param        firstName	            The first name of the character.
	 * @param 		 lastName 				The last name of the character.
	 * @param        trait      	        The trait of the character.
	 */   
	public Character (String firstName, String lastName, String trait) {
		this.firstName = firstName;
		this.lastName = lastName;
		this.traits = new ArrayList();
		traits.add(trait);
	}
	
	/**
	 * This is a constructor for the class. 
	 * It instantiates the class with user-supplied values.
	 * This version of the constructor is used when multiple personality traits are provided.
	 * <P>
	 * @param        firstName		        The first name of the character.
	 * @param 		 lastName 				The last name of the character.
	 * @param        traits			      	The traits of the character.
	 */   
	public Character (String firstName, String lastName, ArrayList traits) {
		this.firstName = firstName;
		this.lastName = lastName;
		this.traits = traits;
	}
	
	/**
	 * This method returns the attributes of this class as a single string.
	 * </P>
	 * @return            String representing the contents of this object.
	 */
	public String toString(){
		// Add the code for toString() here.
		return "fixme!"; // Make sure you replace this return statement.	
	}


	/**
	 * This method compares an instance of this Character, with another
	 * instance of Character.
	 * <P>
	 * Algorithm:<br>
	 * ????
	 * </P>
	 * @param             obj         The object to which we are comparing
	 *                                this instance of Character.
	 * @return            ?????????
	 */    
	public int compareTo(Object obj){
		// Add the code for compareTo() here.
		return 1; // Make sure you replace this return statement.
	}
}