import java.util.*;
/**
 * Lab #3
 * CS 2334, Section 0??
 * February 4, 2015
 * <P>
 * This class implements a program that tests the Character class code.
 * </P>
 * @author Leave Blank
 * @version 1.0
 */
public class Lab3Driver {

	/**
	 * This is the main method for this driver program. Since this is a
	 * simple program, all of our code will be in the main method.
	 * Typically this would be a bad design, but we are just testing out
	 * some features of Java.
	 * <P>
	 * Algorithm<br>
	 * Test out the Character class and an ArrayList of them to help your
	 * understanding of creating, sorting, and searching lists.
	 * </P>
	 * @param             args       Contains the command line arguments.
	 */

	public static void main(String[] args) {
		ArrayList characters = new ArrayList();

		/* 
		 * Instantiate eight objects of type Character and add them
		 * to the list characters. 
		 * I have created and added the first Character for you. :)
		 */        
		
		/* This is a list of the personality traits that we create for one Character. */
		ArrayList traits = new ArrayList();
		traits.add("brilliant");
		traits.add("brave");
		traits.add("studious");
		
		Character firstCharacter = new Character("Hermione", "Granger", traits);

		/* The list is referenced by the variable characters.  You can add to
		 * the list by invoking the add method in ArrayList.
		 */
		characters.add(firstCharacter);
		
	    /*
	     * Create and add the other seven Character objects here.
	     */
		

		/*
		 * Print out the unsorted list of characters.
		 * This uses an iterator to "iterate" through the list.
		 */
		System.out.println( "\n\nUnsorted List:" );

		Iterator iterator = characters.iterator();

		while(iterator.hasNext())
		{
			// Note: This line of code will automatically call the toString method of the Character class.
			System.out.println(iterator.next());
		}
		


		/*
		 * Sort the list of Characters using Collections.sort().
		 * Take a look at Collections.sort() in the API at
		 * http://download.oracle.com/javase/7/docs/api/java/util/Collections.html#sort%28java.util.List%29
		 * You need to call Collections.sort() and pass it the list of Characters.
		 * SEE THE LAB HANDOUT FOR MORE INFORMATION.
		 */

		// ADD CODE TO SORT HERE
		

		/*
		 * Print out the sorted list of Characters.
		 */
		System.out.println("Sorted List:");
		/* HINT: Use an iterator the same way I used one above when
		 * the unsorted list of Characters was printed.
		 */

		// ADD CODE TO PRINT THE LIST HERE
		

		/* 
		 * Search for a particular Character in the list.
		 */
		System.out.println( "\n\nSearching" );
		Character key = new Character("Samwise", "Gamgee", "loyal");
		System.out.println( "Key is " + key );

		/*
		 * Call Collections.binarySearch() to find the index of key.  
		 * Make sure you test the value of index to see if it negative, 
		 * which indicates that the key was not found in the list.
		 */
		
		int index = Collections.binarySearch(characters, key);

		/* 
		 * Print out whether the Character was found or not and the index
		 * at which it was found.
		 * HINT: If index is negative print a statement saying that the
		 *       item searched for is not in the list.  Otherwise, print
		 *       out a statement telling that item was found in the list
		 *       and give the index of item in the list as well.
		 */

		// ADD CODE HERE
		
		
	}
}